package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * @description: 通讯录许可数据总览
 * @Author: wenhua
 * @Date: 2023/1/30 20:28
 */
public class TabHaobanWxEnterpriseActiveData implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;
    /**
     * wx企业id
     */
    private String wxEnterpriseId;
    /**
     * 已购买许可总数
     */
    private Integer purchased;
    /**
     * 已使用许可总数
     */
    private Integer used;
    /**
     * 未激活许可总数
     */
    private Integer inactive;
    /**
     * 待转移许可总数
     */
    private Integer transfer;
    /**
     * 已激活许可总数
     */
    private Integer activated;
    /**
     * 已过期许可总数
     */
    private Integer expired;

    private Date createTime;

    private Date updateTime;

    private Integer deleteFlag;
    /**
     * 已合并许可总数
     */
    private Integer merged;

    public Integer getMerged() {
        return merged;
    }

    public void setMerged(Integer merged) {
        this.merged = merged;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Integer getPurchased() {
        return purchased;
    }

    public void setPurchased(Integer purchased) {
        this.purchased = purchased;
    }

    public Integer getInactive() {
        return inactive;
    }

    public void setInactive(Integer inactive) {
        this.inactive = inactive;
    }

    public Integer getTransfer() {
        return transfer;
    }

    public void setTransfer(Integer transfer) {
        this.transfer = transfer;
    }

    public Integer getActivated() {
        return activated;
    }

    public void setActivated(Integer activated) {
        this.activated = activated;
    }

    public Integer getExpired() {
        return expired;
    }

    public void setExpired(Integer expired) {
        this.expired = expired;
    }

    public Integer getUsed() {
        return used;
    }

    public void setUsed(Integer used) {
        this.used = used;
    }
}
